unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, FireColorSynth, StdCtrls;

type
  TForm1 = class(TForm)
    procedure FormCreate(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;
  FCS : TFireColorSynth;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
var
      i : Integer;
begin
      FCS := TFireColorSynth.Create(Form1);
      FCS.Parent := Form1;
      
      FCS.items.Add;
      FCS.items[0].Name := 'SYNTAXE';
      FCS.items[0].ColorList.ListType := TYPE_WORD;
      FCS.items[0].ColorList.List.Add('if');
      FCS.items[0].ColorList.List.Add('then');
      FCS.items[0].ColorList.List.Add('else');
      FCS.items[0].ColorList.List.Add('begin');
      FCS.items[0].ColorList.List.Add('end');
      FCS.items[0].ColorList.List.Add('end;');
      FCS.items[0].ColorList.Font.Color := clBlue;

      FCS.items.Add;
      FCS.items[1].Name := 'NOMBRE';
      FCS.items[1].ColorList.ListType := TYPE_WORD;
      FCS.items[1].ColorList.LoadWordListFromText('0 1 2 3 4 5 6 7 8 9');
      FCS.items[1].ColorList.Font.Color := clGrayText;

      FCS.items.Add;
      FCS.items[2].Name := 'SUPPR';
      FCS.items[2].ColorList.ListType := TYPE_WORD;
      FCS.items[2].ColorList.LoadWordListFromText('PIF PAF POUF');
      FCS.items[2].ColorList.Font.Color := clMaroon;

      FCS.items.Add;
      FCS.items[3].ColorList.ListType := TYPE_WORD;
      FCS.items[3].Name := 'NOM';
      FCS.items[3].ColorList.LoadWordListFromText('JB JULIE JEAN-SEBASTIEN CYRIANE VICTORIA CHRISTINE ALAIN');
      FCS.items[3].ColorList.Font.Color := clMaroon;

      FCS.items.Add;
      FCS.items[4].ColorList.ListType := TYPE_COMMENT;
      FCS.items[4].Name := 'COMMENTS';
      FCS.items[4].ColorList.List.Add('//');
      FCS.items[4].ColorList.Font.Name := 'Courier New';
      FCS.items[4].ColorList.Font.Color := clGray;
      FCS.items[4].ColorList.Font.Style  := [fsItalic];


      // Ajout grace au nom de la liste
      If FCS.GetitemByName('Nom') <> nil then FCS.GetitemByName('Nom').ColorList.List.Add('PIERRE-ALAIN');

      // Suppression d'un items
      i := FCS.GetIndexitemNamed('SUPPR');
      FCS.items.Delete(i);


      FCS.InitialiseList;

end;

end.
